# 財報日曆

`GET` `/v1/quote/finance_calendar`

瀏覽即將發布的財報及近期業績，包含 EPS 和營收預期。

## Parameters

### Query Parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `date` | string | Yes | 起始日期，`YYYYMMDD`。用返回的 `next_date` 翻頁。 |
| `date_end` | string | Yes | 結束日期，`YYYYMMDD`。 |
| `types[]` | string | Yes | 事件類別：`report`、`dividend`、`split`、`ipo`、`macrodata`、`closed`、`meeting`、`merge`。 |
| `markets[]` | string | No | 市場過濾，如 `US`、`HK`、`CN`。省略則不限市場。 |

## Request Example

```bash
curl --request GET \
  --url 'https://openapi.longbridge.com/v1/quote/finance_calendar?date=<date>&date_end=<date_end>&types[]=<types[]>' \
  --header 'Authorization: Bearer <access_token>'
```

## Response

### Response Properties

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `date` | string | No | 響應日期 |
| `list` | object[] | Yes | 日曆日期分組列表， |
| `count` | integer | No | 該日期的事件數量 |
| `infos` | object[] | Yes | 日曆事件列表， |
| `id` | string | No | 事件 ID |
| `symbol` | string | No | 證券代碼 |
| `market` | string | No | 市場 |
| `counter_name` | string | No | 證券名稱 |
| `type` | string | No | 事件類型 |
| `activity_type` | string | No | 活動類型 |
| `datetime` | string | No | 事件時間 |
| `date_type` | string | No | 日期類型 |
| `content` | string | No | 事件內容描述 |
| `currency` | string | No | 貨幣 |
| `star` | integer | No | 重要性（1-3 星） |
| `icon` | string | No | 圖標鏈接 |
| `chart_uid` | string | No | 圖表標識符 |
| `financial_market_time` | string | No | 金融市場時間 |
| `data_kv` | object[] | No | 鍵值數據對 |

### Response JSON Example

```json
{
  "code": 0,
  "message": "success",
  "data": {
    "date": "2026-04-30",
    "list": [
      {
        "date": "2026-04-30",
        "count": 2228,
        "infos": [
          {
            "id": "12345",
            "symbol": "AAPL.US",
            "market": "US",
            "counter_name": "Apple Inc.",
            "event_type": "",
            "activity_type": "",
            "date": "2026-05-14",
            "datetime": "",
            "content": "",
            "star": 0,
            "currency": "",
            "icon": "",
            "chart_uid": "",
            "date_type": "",
            "financial_market_time": "",
            "data_kv": []
          }
        ]
      }
    ]
  }
}
```
